MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028780Community[OCCT] OCCT:Modeling Algorithmspublic2017-05-23 18:322017-09-29 16:29
Reporterguidovanhilst 
Assigned Tobugmaster 
PrioritynormalSeverityblock 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] Unscheduled 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028780: HLR with focus does not seem to work
DescriptionIf you set the focus in HLRAlgo_Projector then HLRBRep_Algo is producing very strange outlines.

If focus not set (perspective=false) it seems to work good.

See discussion on Forum:
https://www.opencascade.com/content/perspective-projection#comment-19823 [^]
Steps To ReproduceSee: http://www.creativecadtechnology.com/OCC/ShowScript?userName=bugreport&groupName=demo&scriptName=HiddenLine [^]

TagsNo tags attached.
Test case numberbugs modalg_7 bug28780
Attached Files

- Relationships

-  Notes
(0069923)
git (administrator)
2017-08-25 16:23

Branch CR28780 has been created by abv.

SHA-1: 395cb3eb910b28d4f7acf614afd615d8c804af3d


Detailed log of new commits:

Author: abv
Date: Fri Aug 25 16:23:05 2017 +0300

    0028780: HLR with focus does not seem to work
    
    Method HLRBRep_Curve::D1() is corrected to apply transformation to a point according to current projection parameters
(0069924)
abv (manager)
2017-08-25 16:25

The fix proposed by Adriana Costas is pushed to branch CR28780, please review. Note that methods D1 and D2 still apply transformations differently; this is suspicious.
(0069935)
git (administrator)
2017-08-25 20:06

Branch CR28780 has been updated by msv.

SHA-1: caccfa49cbe8cb2bd2fe93c1ed28c476099db86e


Detailed log of new commits:

Author: msv
Date: Fri Aug 25 20:06:47 2017 +0300

    # test case for the bug

(0069936)
msv (developer)
2017-08-25 20:11

Apparently D1 and D2 do the same thing by different ways, and both of them are correct.

I have created a new test case and run Jenkins job CR28780-master-MSV.
(0069963)
msv (developer)
2017-08-28 09:43

Reviewed. Test case has been created.
Dear bugmaster, please validate the result of tests in jenkins job and integrate.
(0069964)
bugmaster (administrator)
2017-08-28 09:55

Combination -
OCCT branch : CR28780 - SHA-1: caccfa49cbe8cb2bd2fe93c1ed28c476099db86e
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR28780-master-MSV/ [^]

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 4 (4 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:

Windows:
OCCT
Total CPU difference: 17330.010689098726 / 17295.75286949859 [+0.20%]
Producst
Total CPU difference: 7688.758886599963 / 7720.302288799964 [-0.41%]

Linux:
OCCT
Total CPU difference: 19451.89000000023 / 19456.560000000376 [-0.02%]
Products
Total CPU difference: 7703.40000000009 / 7725.120000000072 [-0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0070187)
git (administrator)
2017-09-04 18:20

Branch CR28780 has been deleted by kgv.

SHA-1: caccfa49cbe8cb2bd2fe93c1ed28c476099db86e

- Related Changesets
occt: master 2111e967
Timestamp: 2017-08-25 13:23:05
Author: abv
Committer: bugmaster
Details ] Diff ]
0028780: HLR with focus does not seem to work

Method HLRBRep_Curve::D1() is corrected to apply transformation to a point according to current projection parameters
mod - src/HLRBRep/HLRBRep_Curve.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug28780 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-23 18:32 guidovanhilst New Issue
2017-05-23 18:32 guidovanhilst Assigned To => msv
2017-05-23 18:39 guidovanhilst Steps to Reproduce Updated View Revisions
2017-05-23 18:40 guidovanhilst Description Updated View Revisions
2017-05-23 18:40 guidovanhilst Steps to Reproduce Updated View Revisions
2017-07-21 11:16 msv Target Version 7.2.0 => 7.3.0
2017-08-25 16:23 git Note Added: 0069923
2017-08-25 16:25 abv Note Added: 0069924
2017-08-25 16:25 abv Status new => resolved
2017-08-25 16:40 kgv Target Version 7.3.0 => 7.2.0
2017-08-25 20:06 git Note Added: 0069935
2017-08-25 20:11 msv Note Added: 0069936
2017-08-28 09:43 msv Note Added: 0069963
2017-08-28 09:43 msv Assigned To msv => bugmaster
2017-08-28 09:43 msv Status resolved => reviewed
2017-08-28 09:55 bugmaster Note Added: 0069964
2017-08-28 09:55 bugmaster Status reviewed => tested
2017-08-28 09:55 bugmaster Test case number => bugs modalg_7 bug28780
2017-08-31 18:37 bugmaster Changeset attached => occt master 2111e967
2017-08-31 18:37 bugmaster Status tested => verified
2017-08-31 18:37 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070187
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker